/***************************************************************************
 *   Copyright (C) 2004 by Thomas Nagy                                     *
 *   tnagy2^8@yahoo.fr                                                     *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include <math.h>
#include <stdlib.h>

#include <qsimplerichtext.h>
#include <qpainter.h>
#include <qcolor.h>
#include <qpixmap.h>

#include <klocale.h>
#include <kdebug.h>

#include "constants.h"
#include "DCanvasView.h"
#include "DCanvasRubber.h"

DCanvasRubber::DCanvasRubber(QCanvas * canvas) : 
    QCanvasRectangle(canvas)
{
    setSize(0, 0);
    move(0, 0);
}

DCanvasRubber::~DCanvasRubber()
{
}

void DCanvasRubber::drawShape(QPainter &p)
{
    QPen pen;
    pen.setColor( QColor( Qt::black ) );
    pen.setStyle( Qt::DotLine );
    
    p.setPen( pen );
    QCanvasRectangle::drawShape(p);
}

